task Call_meth {
	
	File ref_dir
	File chrom_sizes
	File Dedup_bam
	String sample
	String docker
	String cluster_config
	String disk_size

command <<<
		set -o pipefail
		set -e
		/src/Bismark-0.20.1/bismark_methylation_extractor --multicore 16 -p --no_overlap --comprehensive --report --bedGraph --cytosine_report -o ./ --gzip --ignore_r2 2 --genome_folder ${ref_dir} ${Dedup_bam}
		gunzip "${sample}.deduplicated.bedGraph.gz"
		bedtools sort -i ${sample}.deduplicated.bedGraph > ${sample}.deduplicated.sorted.bedGraph
		/usr/local/bin/bedGraphToBigWig ${sample}.deduplicated.sorted.bedGraph ${chrom_sizes} ${sample}.deduplicated.bw
	>>>
	
	runtime {
		docker:docker
    	cluster: cluster_config
    	systemDisk: "cloud_ssd 40"
    	dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File BedGraph = "${sample}.deduplicated.bedGraph"
		File Bigwig = "${sample}.deduplicated.bw"
		File Cov = "${sample}.deduplicated.bismark.cov.gz"
		File Splitting_report = "${sample}.deduplicated_splitting_report.txt"
		File CHG_context = "CHG_context_${sample}.deduplicated.txt.gz"
		File CHH_context = "CHH_context_${sample}.deduplicated.txt.gz"
		File CpG_context = "CpG_context_${sample}.deduplicated.txt.gz"
		File Mbias = "${sample}.deduplicated.M-bias.txt"
		File CX = "${sample}.CX_report.txt.gz"
	}
}