task Mapping {

	File ref_dir
	File fastq_1
	File fastq_2

	String sample
	String docker
	String cluster_config
	String disk_size

	command <<<
		set -o pipefail
		set -e	
		/src/Bismark-0.20.1/bismark --bowtie2 -p 16 --multicore 16 --bam ${ref_dir} -1 ${fastq_1} -2 ${fastq_2}

	>>>

	runtime {
		docker:docker
    	cluster: cluster_config
    	systemDisk: "cloud_ssd 40"
    	dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File bam = "${sample}.bam"
	}
}
